#
# life & death.bsl
#

####Script for death, regeneration and clean-up sequences####

####Respawn Sequences####

func void Introstriker4_low_health(string ai_name)
{
	chr_wait_health Intro_Striker_4 10

	sleep 10

	chr_full_health Intro_Striker_4

	sleep 10

	playback Intro_Striker_4 civ_victim3_flee

	sleep 10

	ai2_makeaware Intro_Striker_4 0

	sleep 10

	ai2_setalert Intro_Striker_4 high
	ai2_setjobstate Intro_Striker_4

	sleep 10

	ai2_passive Intro_Striker_4 0

	fork death5
}

func void Introcomguy1_low_health(string ai_name)
{
	chr_wait_health Intro_Comguy_1 15

	sleep 10

	chr_full_health Intro_Comguy_1 

	sleep 10

	playback Intro_Comguy_1 civ_victim4_flee

	sleep 10

	ai2_makeaware Intro_Comguy_1 0

	sleep 10
	
	ai2_setalert Intro_Comguy_1 high
	ai2_setjobstate Intro_Comguy_1

	sleep 10

	ai2_passive Intro_Comguy_1 0

	fork death6

}

func void Introstriker3_low_health(string ai_name)
{
	chr_wait_health Intro_Striker_3 10

	sleep 10

	chr_full_health Intro_Striker_3

	sleep 10

	playback Intro_Striker_3 civ_victim6_flee

	sleep 10

	ai2_makeaware Intro_Striker_3 0

	sleep 10
	
	ai2_setalert Intro_Striker_3 high
	ai2_setjobstate Intro_Striker_3

	fork death7
}

func void BoothStriker1_low_health(string ai_name)
{
	chr_wait_health BoothStriker01 10

	chr_full_health BoothStriker01

	sleep 20

	chr_teleport BoothStriker01 7060

	ai2_makeaware BoothStriker01 0
	ai2_setalert BoothStriker01 high

	fork death8
}

func void BoothStriker2_low_health(string ai_name)
{
	chr_wait_health BoothStriker02 10

	chr_full_health BoothStriker02

	sleep 20

	chr_teleport BoothStriker02 7060

	ai2_makeaware BoothStriker02 0
	ai2_setalert BoothStriker02 high

	fork death9
}

func void Terminal2Striker1_low_health(string ai_name)
{

	chr_wait_health TerminalTwo_Striker_1 10
	
	chr_full_health TerminalTwo_Striker_1

	chr_teleport TerminalTwo_Striker_1 7060

	fork death10

}

func void Terminal2Striker2_low_health(string ai_name)
{

	chr_wait_health TerminalTwo_Striker_2 10
	
	chr_full_health TerminalTwo_Striker_2

	chr_teleport TerminalTwo_Striker_2 7060

	fork death11

}

func void TerminalStriker1_low_health(string ai_name)
{
	chr_wait_health Terminal_Striker_1 10

	chr_full_health Terminal_Striker_1

	sleep 10

	chr_teleport Terminal_Striker_1 1091

	fork death12
	
}

func void TerminalStriker2_low_health(string ai_name)
{
	chr_wait_health Terminal_Striker_2 10

	chr_full_health Terminal_Striker_2

	sleep 10

	chr_teleport Terminal_Striker_1 1091

	fork death13

	
}

func void TarmacStriker1_low_health(string ai_name)
{
	chr_wait_health Tarmac_Striker_1 10
	
	chr_full_health Tarmac_Striker_1

	sleep 10

	chr_teleport Tarmac_Striker_1 7030

	fork death14
	
}

func void TarmacStriker2_low_health(string ai_name)
{
	chr_wait_health Tarmac_Striker_2 10
	
	chr_full_health Tarmac_Striker_2

	sleep 10

	chr_teleport Tarmac_Striker_2 7030

	fork death15
}

func void TarmacStriker3_low_health(string ai_name)
{
	chr_wait_health Tarmac_Striker_3 10
	
	chr_full_health Tarmac_Striker_3

	sleep 10

	chr_teleport Tarmac_Striker_3 7060

	fork death16
}

func void TarmacStriker4_low_health(string ai_name)
{
	chr_wait_health Tarmac_Striker_4 10
	
	chr_full_health Tarmac_Striker_4

	sleep 10

	chr_teleport Tarmac_Striker_4 7030

	fork death17
}


	


####Clean-Up Sequences####

func void IntroStriker01_clean(string ai_name)
{
	chr_wait_health IntroStriker01 0

	sleep 20

	chr_set_health IntroStriker01 100

	sleep 20
	
	chr_delete IntroStriker01
}

func void IntroStriker02_clean(string ai_name)
{
	chr_wait_health IntroStriker02 0

	sleep 20

	chr_set_health IntroStriker02 100

	sleep 20
	
	chr_delete IntroStriker02
}

func void hidden_death1(string ai_name)
{
	chr_wait_health hidden_striker1 0

	sleep 20

	chr_set_health hidden_striker1 100

	sleep 20

	chr_delete hidden_striker1
}

func void hidden_death2(string ai_name)
{
	chr_wait_health hidden_striker2 0

	sleep 20

	chr_set_health hidden_striker2 100

	sleep 20

	chr_delete hidden_striker2
}

func void BayTwo_Death(string ai_name)
{
	chr_wait_health BayTwo_Striker_1 0

	sleep 20

	chr_set_health BayTwo_Striker_1 100

	sleep 20

	chr_delete BayTwo_Striker_1
}

func void death1(string ai_name)
{
	chr_wait_health Repair_Striker_1 0

	sleep 20

	chr_set_health Repair_Striker_1 100

	sleep 20

	chr_delete Repair_Striker_1
}

func void death2(string ai_name)
{
	chr_wait_health Repair_Striker_2 0

	sleep 20

	chr_set_health Repair_Striker_2 100

	sleep 20

	chr_delete Repair_Striker_2
}

func void death3(string ai_name)
{
	chr_wait_health Repair_Comguy_1 0

	sleep 20

	chr_set_health Repair_Comguy_1 100

	sleep 20

	chr_delete Repair_Comguy_1
}

func void death4(string ai_name)
{
	chr_wait_health Repair_Comguy_2 0

	sleep 20

	chr_set_health Repair_Comguy_2 100

	sleep 20

	chr_delete Repair_Comguy_2
}

###Respawned Enemies Death###

func void death5(string ai_name)
{
	chr_wait_health Intro_Striker_4 0

	sleep 20

	chr_set_health Intro_Striker_4 100

	sleep 20

	chr_delete Intro_Striker_4
}

func void death6(string ai_name)
{
	chr_wait_health Intro_Comguy_1 0

	sleep 20

	chr_set_health Intro_Comguy_1 100

	sleep 20

	chr_delete Intro_Comguy_1
}

func void death7(string ai_name)
{
	chr_wait_health Intro_Striker_3 0

	sleep 20

	chr_set_health Intro_Striker_3 100

	sleep 20

	chr_delete Intro_Striker_3
}

func void death8(string ai_name)
{
	chr_wait_health BoothStriker01 0

	sleep 20

	chr_set_health BoothStriker01 100

	sleep 20

	chr_delete BoothStriker01 
}

func void death9(string ai_name)
{
	chr_wait_health BoothStriker02 0

	sleep 20

	chr_set_health BoothStriker02 100

	sleep 20

	chr_delete BoothStriker02 
}

func void death10(string ai_name)
{
	chr_wait_health TerminalTwo_Striker_1 0

	sleep 20

	chr_set_health TerminalTwo_Striker_1 0

	sleep 20

	chr_delete TerminalTwo_Striker_1
}

func void death11(string ai_name)
{
	chr_wait_health TerminalTwo_Striker_2 0

	sleep 20

	chr_set_health TerminalTwo_Striker_2 0

	sleep 20

	chr_delete TerminalTwo_Striker_2
}

func void death12(string ai_name)
{
	chr_wait_health Terminal_Striker_1 0

	sleep 20

	chr_set_health Terminal_Striker_1 0

	sleep 20

	chr_delete Terminal_Striker_1
}

func void death13(string ai_name)
{
	chr_wait_health Terminal_Striker_2 0

	sleep 20

	chr_set_health Terminal_Striker_2 0

	sleep 20

	chr_delete Terminal_Striker_2
}

func void death14(string ai_name)
{
	chr_wait_health Tarmac_Striker_1 0

	sleep 20

	chr_set_health Tarmac_Striker_1 0

	sleep 20

	chr_delete Tarmac_Striker_1
}

func void death15(string ai_name)
{
	chr_wait_health Tarmac_Striker_2 0

	sleep 20

	chr_set_health Tarmac_Striker_2 0

	sleep 20

	chr_delete Tarmac_Striker_2
}

func void death16(string ai_name)
{
	chr_wait_health Tarmac_Striker_3 0

	sleep 20

	chr_set_health Tarmac_Striker_3 0

	sleep 20

	chr_delete Tarmac_Striker_3
}

func void death17(string ai_name)
{
	chr_wait_health Tarmac_Striker_4 0

	sleep 20

	chr_set_health Tarmac_Striker_4 0

	sleep 20

	chr_delete Tarmac_Striker_4
}

